.TH gdbm_sync() "" "" "GDBM Function (libgdbm)"
.PC "Flush buffered GDBM data into its data base"
.B "#include <gdbm.h>"
\fBvoid gdbm_sync(\fIdatabase\^\fB)\fR
\fBGDBM_FILE \fIdatabase\^\fB;\fR
.PP
Function
.B gdbm_sync()
flushes buffered data into its data base.
It is the GDBM analogue of the system call
.BR sync() .
You should call this function periodically if you are writing data into a
data base that had been opened with flag
.BR GDBM_FAST .
.PP
.I database
points to the data base being manipulated.
It must have been returned by a call to
.BR gdbm_open() .
.PP
.B gdbm_sync()
does not return until all the buffers are flushed onto disk.
.B gdbm_close()
automatically calls
.B gdbm_sync()
to flush data-base buffers before it closes a GDBM data base.
.SH "See Also"
.XR "gdbm.h," gdbm.h
.XR "gdbm_close()," gdbm_clos
.XR "gdbm_open()," gdbm_open
.XR "libgdbm" libgdbm
.SH Notes
For a statement of copyright and permissions on this routine, see the
Lexicon entry for
.BR libgdbm .
